Skip to main content

Subscriptions

Subscriptions are a declaration of interest in a particular resource, allowing a user to receive notifications when certain events occur. The events that trigger notifications are controlled by the type of subscription.


Objects​

Subscription​

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe subscription ID
createdstringISO 8601 timestampThe instant the subscription was created at
lastModifiedstringISO 8601 timestampThe instant the subscription was last modified at
typestringSubscription TypeThe type of subscription
{
"id" : "03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"created" : "2026-10-12T10:22:21.887332",
"lastModified" : "2026-10-12T10:22:21.887333",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8864824d-99be-4c53-a548-1ec6a0f795ff"
}
}
}

Formats​

Subscription Type​

string

ValueDescription
ALLTriggers notifications for all resource events
ALERTSTriggers notifications for resource alert events only
NONEDoes not trigger any notifications

Requests​

View all subscriptions​

GET /api/subscriptions

Returns all subscriptions for the authenticated user profile.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions' -i -X GET

Response​

200 OK

Subscription collection with HAL links.

{
"_embedded" : {
"subscriptions" : [ {
"id" : "03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"created" : "2026-10-12T10:22:21.887332",
"lastModified" : "2026-10-12T10:22:22.046369",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8864824d-99be-4c53-a548-1ec6a0f795ff"
}
}
}, {
"id" : "d69bc15d-0442-4ed0-bf3e-a32a56f6127f",
"created" : "2026-10-12T10:22:22.326299",
"lastModified" : "2026-10-12T10:22:22.326301",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "c19040ec-3474-4b8b-aa55-e7ff137cc5b5",
"published" : "2026-10-12T10:22:16.510857",
"alias" : "simple-bar-chart",
"workspaceId" : "eaac07e7-744e-4a89-b8a8-43fe4d4c3782",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-12T10:22:16.522955",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/d69bc15d-0442-4ed0-bf3e-a32a56f6127f"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d69bc15d-0442-4ed0-bf3e-a32a56f6127f",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d69bc15d-0442-4ed0-bf3e-a32a56f6127f",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/c19040ec-3474-4b8b-aa55-e7ff137cc5b5"
}
}
}, {
"id" : "711f58de-7727-4017-aed9-d176a5e076b5",
"created" : "2026-10-12T10:22:27.933765",
"lastModified" : "2026-10-12T10:22:27.933768",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "951e9f2c-7b00-457a-b270-e0c6cd508ecb",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-10-12T10:22:22.744423"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/711f58de-7727-4017-aed9-d176a5e076b5"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/711f58de-7727-4017-aed9-d176a5e076b5",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/711f58de-7727-4017-aed9-d176a5e076b5",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/951e9f2c-7b00-457a-b270-e0c6cd508ecb"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}

View all member subscriptions to a workspace​

GET /api/workspaces/{workspace-id}/members/subscriptions

Returns all member subscriptions to the workspace {workspace-id}.

Prerequisites​

  • Workspace {workspace-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/eaac07e7-744e-4a89-b8a8-43fe4d4c3782/members/subscriptions' -i -X GET

Response​

200 OK

Subscription collection with HAL links.

{
"_embedded" : {
"subscriptions" : [ {
"id" : "3b885406-4ad7-418d-8d78-e268175ac3ff",
"created" : "2026-10-12T10:22:28.125435",
"lastModified" : "2026-10-12T10:22:28.125438",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "eaac07e7-744e-4a89-b8a8-43fe4d4c3782",
"name" : "Test Workspace [2026-10-12T10:22:15.866069134]"
},
"workspace" : {
"id" : "eaac07e7-744e-4a89-b8a8-43fe4d4c3782",
"name" : "Test Workspace [2026-10-12T10:22:15.866069134]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/3b885406-4ad7-418d-8d78-e268175ac3ff"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/3b885406-4ad7-418d-8d78-e268175ac3ff",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/3b885406-4ad7-418d-8d78-e268175ac3ff",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/eaac07e7-744e-4a89-b8a8-43fe4d4c3782"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/eaac07e7-744e-4a89-b8a8-43fe4d4c3782/members/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}

View a subscription​

GET /api/subscriptions/{subscription-id}

Returns the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac' -i -X GET

Response​

200 OK

Subscription with HAL links.

{
"id" : "03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"created" : "2026-10-12T10:22:21.887332",
"lastModified" : "2026-10-12T10:22:21.887333",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8864824d-99be-4c53-a548-1ec6a0f795ff"
}
}
}

Subscribe to a workspace​

POST /api/workspaces/{workspace-id}/subscriptions

Subscribes the authenticated user profile to the workspace {workspace-id}.

By default, the subscription is configured for all workspace events (see Subscription Type for more information).

Prerequisites​

  • Workspace {workspace-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to workspace events, in order to enable workspace-wide notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/eaac07e7-744e-4a89-b8a8-43fe4d4c3782/subscriptions?allMembers=true' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "3b885406-4ad7-418d-8d78-e268175ac3ff",
"created" : "2026-10-12T10:22:28.125435449",
"lastModified" : "2026-10-12T10:22:28.125438033",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "eaac07e7-744e-4a89-b8a8-43fe4d4c3782",
"name" : "Test Workspace [2026-10-12T10:22:15.866069134]"
},
"workspace" : {
"id" : "eaac07e7-744e-4a89-b8a8-43fe4d4c3782",
"name" : "Test Workspace [2026-10-12T10:22:15.866069134]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/3b885406-4ad7-418d-8d78-e268175ac3ff"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/3b885406-4ad7-418d-8d78-e268175ac3ff",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/3b885406-4ad7-418d-8d78-e268175ac3ff",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/eaac07e7-744e-4a89-b8a8-43fe4d4c3782"
}
}
}

Subscribe to a channel​

POST /api/channels/{channel-id}/subscriptions

Subscribes the authenticated user profile to the channel {channel-id}.

By default, the subscription is configured for all channel events (see Subscription Type for more information).

Prerequisites​

  • Channel {channel-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to channel events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/8864824d-99be-4c53-a548-1ec6a0f795ff/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"created" : "2026-10-12T10:22:21.887331773",
"lastModified" : "2026-10-12T10:22:21.887333165",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8864824d-99be-4c53-a548-1ec6a0f795ff"
}
}
}

Subscribe to a dataset​

POST /api/datasets/{dataset-id}/subscriptions

Subscribes the authenticated user profile to the dataset {dataset-id}.

By default, the subscription is configured for all dataset events (see Subscription Type for more information).

Prerequisites​

  • Dataset {dataset-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to dataset events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/c19040ec-3474-4b8b-aa55-e7ff137cc5b5/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "d69bc15d-0442-4ed0-bf3e-a32a56f6127f",
"created" : "2026-10-12T10:22:22.326299034",
"lastModified" : "2026-10-12T10:22:22.326300512",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "c19040ec-3474-4b8b-aa55-e7ff137cc5b5",
"published" : "2026-10-12T10:22:16.510857",
"alias" : "simple-bar-chart",
"workspaceId" : "eaac07e7-744e-4a89-b8a8-43fe4d4c3782",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-12T10:22:16.522955",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/d69bc15d-0442-4ed0-bf3e-a32a56f6127f"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d69bc15d-0442-4ed0-bf3e-a32a56f6127f",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/d69bc15d-0442-4ed0-bf3e-a32a56f6127f",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/c19040ec-3474-4b8b-aa55-e7ff137cc5b5"
}
}
}

Subscribe to a pipeline​

POST /api/pipelines/{pipeline-id}/subscriptions

Subscribes the authenticated user profile to the pipeline {pipeline-id}.

By default, the subscription is configured for all pipeline events (see Subscription Type for more information).

Prerequisites​

  • Pipeline {pipeline-id} must exist

Query Parameters​

ParameterRequiredFormatDefault ValueDescription
allMembersNoBooleanfalseWhether or not to subscribe the workspace to pipeline events, enabling notifications for all members by default (applicable for the workspace owner only)
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/pipelines/951e9f2c-7b00-457a-b270-e0c6cd508ecb/subscriptions' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Subscription with HAL links.

{
"id" : "711f58de-7727-4017-aed9-d176a5e076b5",
"created" : "2026-10-12T10:22:27.933765469",
"lastModified" : "2026-10-12T10:22:27.933767997",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "951e9f2c-7b00-457a-b270-e0c6cd508ecb",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-10-12T10:22:22.744423"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/711f58de-7727-4017-aed9-d176a5e076b5"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/711f58de-7727-4017-aed9-d176a5e076b5",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/711f58de-7727-4017-aed9-d176a5e076b5",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/951e9f2c-7b00-457a-b270-e0c6cd508ecb"
}
}
}

Update a subscription​

PUT /api/subscriptions/{subscription-id}

Updates the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist

Body​

PathJSON TypeFormatDescription
typestringSubscription TypeThe type of subscription
{
"type" : "ALERTS"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"type" : "ALERTS"
}'

Response​

200 OK

Subscription with HAL links.

{
"id" : "03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"created" : "2026-10-12T10:22:21.887332",
"lastModified" : "2026-10-12T10:22:22.04636895",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/8864824d-99be-4c53-a548-1ec6a0f795ff"
}
}
}

Remove a subscription​

DELETE /api/subscriptions/{subscription-id}

Removes the subscription {subscription-id}.

Prerequisites​

  • Subscription {subscription-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/03e084f2-2e88-40ad-ae4d-03e6ac2de3ac' -i -X DELETE

Response​

204 No Content

No response body provided.